<p align="center">
  <img src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/icons/icon.png" width="72">
</p>
<h2 align="center">GitTouch</h2>
<p align="center">
  An open-source app for
  <a href="https://github.com/">GitHub</a>,
  <a href="https://gitlab.com/">GitLab</a>,
  <a href="https://bitbucket.org/">Bitbucket</a>,
  <a href="https://gitea.com/">Gitea</a> and
  <a href="https://gitee.com/">Gitee(码云)</a>, built with Flutter
</p>
<p align="center">
  <a href="https://apps.apple.com/us/app/gittouch/id1452042346"><img src="https://tools.applemediaservices.com/api/badges/download-on-the-app-store/black/en-US" alt="Download on the App Store" height="48"></a>
  <a href="https://play.google.com/store/apps/details?id=io.github.pd4d10.gittouch"><img alt="Get it on Google Play" title="Google Play" src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/google-play-badge.png" height="48" /></a>
  <a href="https://f-droid.org/packages/io.github.pd4d10.gittouch/"><img alt="Get it on F-Droid" src="https://upload.wikimedia.org/wikipedia/commons/9/96/%22Get_it_on_F-droid%22_Badge.png" height="48" /></a>
</p>

## Installation

Click badges above to install it from Apple App Store or Google Play.

Android users can also download APK file from [release page](https://github.com/pd4d10/git-touch/releases) and install it manually.

## Screenshots

<p>
  <img src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/screenshot-dark.png" alt="Dark screenshot" width="400" /><img src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/screenshot-light.png" alt="Light screenshot" width="400" />
</p>

## Supported platforms

https://github.com/git-touch/git-touch/issues/29

✅: Done\
🚧: Working in progress\
💬: In review

| Platform | Public service | API documentation | Status | Custom domain |
| --- | --- | --- | --- | --- |
| GitHub | https://github.com | [v3(RESTful)](https://developer.github.com/v3/), [v4(GraphQL)](https://developer.github.com/v4/) | ✅ | 💬 |
| GitLab | https://gitlab.com | [GitLab API v4](https://docs.gitlab.com/ee/api/) | ✅ | ✅ |
| BitBucket | https://bitbucket.org | [BitBucket API](https://developer.atlassian.com/bitbucket/api/2/reference) | ✅ | ✅ |
| Gogs | https://try.gogs.io/ | [Gogs API](https://github.com/gogs/docs-api) | 🚧 | ✅ |
| Gitea | https://gitea.com/ | [Gitea API](https://try.gitea.io/api/swagger#/) | ✅ | ✅ |
| Gitee | https://gitee.com/ | [Gitee API](https://gitee.com/api/v5/swagger) | ✅ | 💬 |

## Contributing

See [CONTRIBUTING.md](./CONTRIBUTING.md).

## Contributors

[![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/0)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/1)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/2)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/3)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/4)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/5)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/6)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/7)](https://github.com/pd4d10/git-touch/graphs/contributors)

## License

Apache-2.0 License
